# class Tk::BWidget::ButtonBox

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

add(keys={}, &b) click to toggle source

    # File lib/tkextlib/bwidget/buttonbox.rb, line 42
    def add(keys={}, &b)
      win = window(tk_send('add', *hash_kv(keys)))
      if b
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          win.instance_exec(self, &b)
        else
          win.instance_eval(&b)
        end
      end
      win
    end

delete(idx) click to toggle source

    # File lib/tkextlib/bwidget/buttonbox.rb, line 54
    def delete(idx)
      tk_send('delete', tagid(idx))
      self
    end

index(idx) click to toggle source

    # File lib/tkextlib/bwidget/buttonbox.rb, line 59
    def index(idx)
      if idx.kind_of?(Tk::BWidget::Button)
        name = idx[:name]
        idx = name unless name.empty?
      end
      if idx.kind_of?(Tk::Button)
        idx = idx[:text]
      end
      number(tk_send('index', idx.to_s))
    end

insert(idx, keys={}, &b) click to toggle source

    # File lib/tkextlib/bwidget/buttonbox.rb, line 70
    def insert(idx, keys={}, &b)
      win = window(tk_send('insert', tagid(idx), *hash_kv(keys)))
      if b
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          win.instance_exec(self, &b)
        else
          win.instance_eval(&b)
        end
      end
      win
    end

invoke(idx) click to toggle source

    # File lib/tkextlib/bwidget/buttonbox.rb, line 82
    def invoke(idx)
      tk_send('invoke', tagid(idx))
      self
    end

set_focus(idx) click to toggle source

    # File lib/tkextlib/bwidget/buttonbox.rb, line 87
    def set_focus(idx)
      tk_send('setfocus', tagid(idx))
      self
    end

tagid(tagOrId) click to toggle source

    # File lib/tkextlib/bwidget/buttonbox.rb, line 30
    def tagid(tagOrId)
      if tagOrId.kind_of?(Tk::BWidget::Button)
        name = tagOrId[:name]
        return index(name) unless name.empty?
      end
      if tagOrId.kind_of?(Tk::Button)
        return index(tagOrId[:text])
      end
      # index(tagOrId.to_s)
      index(_get_eval_string(tagOrId))
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__boolval_optkeys

    # File lib/tkextlib/bwidget/buttonbox.rb, line 25
    def __boolval_optkeys
      super() << 'homogeneous'
    end